WCPCPY(3)

NAME
wcpcpy - copy a wide-character string, returning a pointer to its end

SYNOPSIS
#define _GNU_SOURCE
#include <wchar.h>

wchar_t *wcpcpy(wchar_t *dest, const wchar_t *src);

DESCRIPTION
The wcpcpy() function is the wide-character equivalent of the stpcpy(3) function. It copies the wide-character string pointed to by src, including the terminating L'\0' character, to the array pointed to by dest.

The strings may not overlap.

The programmer must ensure that there is room for at least wcslen(src)+1 wide characters at dest.

RETURN VALUE
wcpcpy() returns a pointer to the end of the wide-character string dest, that is, a pointer to the terminating L'\0' character.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
strcpy(3), wcscpy(3), feature_test_macros(7)

COLOPHON
This page is part of release 2.72 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.